Index: runtime/khelpcenter/CMakeLists.txt
===================================================================
--- runtime/khelpcenter/CMakeLists.txt	(revision 839895)
+++ runtime/khelpcenter/CMakeLists.txt	(working copy)
@@ -58,7 +58,7 @@
     install(TARGETS khelpcenter ${INSTALL_TARGETS_DEFAULT_ARGS})
 else (WIN32)
     kde4_add_kdeinit_executable( khelpcenter ${khelpcenter_KDEINIT_SRCS})
-    target_link_libraries(kdeinit_khelpcenter  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KHTML_LIBS}  ${QT_QTXML_LIBRARY}  )
+    target_link_libraries(kdeinit_khelpcenter  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KHTML_LIBS}  ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY}  )
     install(TARGETS kdeinit_khelpcenter  ${INSTALL_TARGETS_DEFAULT_ARGS} )
     install(TARGETS khelpcenter ${INSTALL_TARGETS_DEFAULT_ARGS})
 endif (WIN32)
Index: apps/konqueror/remoteencodingplugin/CMakeLists.txt
===================================================================
--- apps/konqueror/remoteencodingplugin/CMakeLists.txt	(revision 839895)
+++ apps/konqueror/remoteencodingplugin/CMakeLists.txt	(working copy)
@@ -6,7 +6,7 @@
 kde4_add_plugin(konq_remoteencoding ${konq_remoteencoding_PART_SRCS})
 
 
-target_link_libraries(konq_remoteencoding  ${KDE4_KPARTS_LIBS} )
+target_link_libraries(konq_remoteencoding  ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS konq_remoteencoding  DESTINATION ${PLUGIN_INSTALL_DIR} )
 
Index: apps/konqueror/settings/kio/CMakeLists.txt
===================================================================
--- apps/konqueror/settings/kio/CMakeLists.txt	(revision 839895)
+++ apps/konqueror/settings/kio/CMakeLists.txt	(working copy)
@@ -31,7 +31,7 @@
 kde4_add_plugin(kcm_kio ${kcm_kio_PART_SRCS})
 
 
-target_link_libraries(kcm_kio  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KUTILS_LIBS} )
+target_link_libraries(kcm_kio  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS kcm_kio  DESTINATION ${PLUGIN_INSTALL_DIR} )
 
Index: apps/konqueror/settings/filetypes/CMakeLists.txt
===================================================================
--- apps/konqueror/settings/filetypes/CMakeLists.txt	(revision 839895)
+++ apps/konqueror/settings/filetypes/CMakeLists.txt	(working copy)
@@ -18,7 +18,7 @@
 
 kde4_add_plugin(kcm_filetypes ${kcm_filetypes_SRCS})
 
-target_link_libraries(kcm_filetypes  ${KDE4_KDE3SUPPORT_LIBS} )
+target_link_libraries(kcm_filetypes  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS kcm_filetypes  DESTINATION ${PLUGIN_INSTALL_DIR} )
 
@@ -28,7 +28,7 @@
 
 kde4_add_executable(keditfiletype ${keditfiletype_SRCS})
 
-target_link_libraries(keditfiletype  ${KDE4_KIO_LIBS} 
+target_link_libraries(keditfiletype  ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS}
 	              ${QT_QT3SUPPORT_LIBRARY}
 		      ${KDE4_KDE3SUPPORT_LIBRARY})
 if (Q_WS_X11)
Index: apps/konqueror/settings/konq/CMakeLists.txt
===================================================================
--- apps/konqueror/settings/konq/CMakeLists.txt	(revision 839895)
+++ apps/konqueror/settings/konq/CMakeLists.txt	(working copy)
@@ -22,7 +22,7 @@
 kde4_add_plugin(kcm_konq ${kcm_konq_PART_SRCS})
 
 
-target_link_libraries(kcm_konq  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KUTILS_LIBS} )
+target_link_libraries(kcm_konq  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KDEUI_LIBS} )
 
 install(TARGETS kcm_konq  DESTINATION ${PLUGIN_INSTALL_DIR} )
 
Index: apps/konqueror/settings/konqhtml/CMakeLists.txt
===================================================================
--- apps/konqueror/settings/konqhtml/CMakeLists.txt	(revision 839895)
+++ apps/konqueror/settings/konqhtml/CMakeLists.txt	(working copy)
@@ -18,7 +18,7 @@
 kde4_add_plugin(kcm_konqhtml ${kcm_konqhtml_PART_SRCS})
 
 
-target_link_libraries(kcm_konqhtml ${KDE4_KHTML_LIBS})
+target_link_libraries(kcm_konqhtml ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS kcm_konqhtml  DESTINATION ${PLUGIN_INSTALL_DIR} )
 
Index: apps/konqueror/kttsplugin/CMakeLists.txt
===================================================================
--- apps/konqueror/kttsplugin/CMakeLists.txt	(revision 839895)
+++ apps/konqueror/kttsplugin/CMakeLists.txt	(working copy)
@@ -30,7 +30,7 @@
 
 kde4_add_plugin(khtmlkttsdplugin ${khtmlkttsdplugin_PART_SRCS})
 
-target_link_libraries(khtmlkttsdplugin  ${KDE4_KHTML_LIBS} )
+target_link_libraries(khtmlkttsdplugin  ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS})
 
 if( WEBKITKDE_FOUND)
     target_link_libraries(khtmlkttsdplugin ${WEBKITKDE_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} )
Index: apps/konqueror/shellcmdplugin/CMakeLists.txt
===================================================================
--- apps/konqueror/shellcmdplugin/CMakeLists.txt	(revision 839895)
+++ apps/konqueror/shellcmdplugin/CMakeLists.txt	(working copy)
@@ -7,7 +7,7 @@
 kde4_add_plugin(konq_shellcmdplugin ${konq_shellcmdplugin_PART_SRCS})
 
 
-target_link_libraries(konq_shellcmdplugin ${KDE4_KPARTS_LIBS} ${KDE4_KDESU_LIBS})
+target_link_libraries(konq_shellcmdplugin ${KDE4_KPARTS_LIBS} ${KDE4_KDESU_LIBS} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS konq_shellcmdplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )
 
Index: apps/lib/konq/CMakeLists.txt
===================================================================
--- apps/lib/konq/CMakeLists.txt	(revision 839895)
+++ apps/lib/konq/CMakeLists.txt	(working copy)
@@ -23,7 +23,7 @@
 
 kde4_add_library(konq SHARED ${konq_LIB_SRCS})
 
-target_link_libraries(konq ${KDE4_KPARTS_LIBS})
+target_link_libraries(konq ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS})
 
 set_target_properties(konq PROPERTIES
      VERSION ${KDE_NON_GENERIC_LIB_VERSION}
Index: apps/kinfocenter/samba/CMakeLists.txt
===================================================================
--- apps/kinfocenter/samba/CMakeLists.txt	(revision 839895)
+++ apps/kinfocenter/samba/CMakeLists.txt	(working copy)
@@ -11,7 +11,7 @@
 kde4_add_plugin(kcm_samba ${kcm_samba_PART_SRCS})
 
 
-target_link_libraries(kcm_samba  ${KDE4_KDE3SUPPORT_LIBS} )
+target_link_libraries(kcm_samba  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS kcm_samba  DESTINATION ${PLUGIN_INSTALL_DIR} )
 
Index: workspace/kcontrol/screensaver/CMakeLists.txt
===================================================================
--- workspace/kcontrol/screensaver/CMakeLists.txt	(revision 839895)
+++ workspace/kcontrol/screensaver/CMakeLists.txt	(working copy)
@@ -26,7 +26,7 @@
 kde4_add_plugin(kcm_screensaver ${kcm_screensaver_PART_SRCS})
 
 
-target_link_libraries(kcm_screensaver  ${KDE4_KDE3SUPPORT_LIBS} ${X11_LIBRARIES})
+target_link_libraries(kcm_screensaver  ${KDE4_KDE3SUPPORT_LIBS} ${X11_LIBRARIES} ${KDE4_KDEUI_LIBS})
 
 if(HAVE_GLXCHOOSEVISUAL)
    target_link_libraries(kcm_screensaver ${OPENGL_gl_LIBRARY})
Index: workspace/kcontrol/input/CMakeLists.txt
===================================================================
--- workspace/kcontrol/input/CMakeLists.txt	(revision 839895)
+++ workspace/kcontrol/input/CMakeLists.txt	(working copy)
@@ -60,7 +60,7 @@
 kde4_add_plugin(kcm_input ${kcm_input_PART_SRCS})
 
 
-target_link_libraries(kcm_input ${KDE4_KDE3SUPPORT_LIBS} ${X11_LIBRARIES})
+target_link_libraries(kcm_input ${KDE4_KDE3SUPPORT_LIBS} ${X11_LIBRARIES} ${KDE4_KDEUI_LIBS})
 if (LIBUSB_FOUND)
    target_link_libraries(kcm_input ${LIBUSB_LIBRARIES})
 endif (LIBUSB_FOUND)
Index: workspace/kcontrol/kdm/CMakeLists.txt
===================================================================
--- workspace/kcontrol/kdm/CMakeLists.txt	(revision 839895)
+++ workspace/kcontrol/kdm/CMakeLists.txt	(working copy)
@@ -27,7 +27,7 @@
 kde4_add_plugin(kcm_kdm ${kcm_kdm_PART_SRCS})
 
 
-target_link_libraries(kcm_kdm ${KDE4_KDE3SUPPORT_LIBS} ${QIMAGEBLITZ_LIBRARIES} ${KDE4_KNEWSTUFF2_LIBS} ${X11_LIBRARIES})
+target_link_libraries(kcm_kdm ${KDE4_KDE3SUPPORT_LIBS} ${QIMAGEBLITZ_LIBRARIES} ${KDE4_KNEWSTUFF2_LIBS} ${X11_LIBRARIES} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS kcm_kdm  DESTINATION ${PLUGIN_INSTALL_DIR})
 
Index: workspace/kmenuedit/CMakeLists.txt
===================================================================
--- workspace/kmenuedit/CMakeLists.txt	(revision 839895)
+++ workspace/kmenuedit/CMakeLists.txt	(working copy)
@@ -12,8 +12,7 @@
 
 kde4_add_kdeinit_executable( kmenuedit ${kmenuedit_KDEINIT_SRCS})
 
-target_link_libraries(kdeinit_kmenuedit  ${KDE4_KDE3SUPPORT_LIBS} ${QT_QTXML_LIBRARY}
-)
+target_link_libraries(kdeinit_kmenuedit  ${KDE4_KDE3SUPPORT_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS kdeinit_kmenuedit  DESTINATION ${LIB_INSTALL_DIR} )
 
